> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update audit

> Update an existing audit record.



## OpenAPI

````yaml put /v3/audits/{audit}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/audits/{audit}:
    put:
      tags:
        - Audit
      summary: Update audit
      description: Update an existing audit record.
      operationId: audits.update
      parameters:
        - name: audit
          in: path
          required: true
          description: The audit ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAudit'
      responses:
        '200':
          description: '`Audit`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Audit'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateAudit:
      type: object
      properties:
        event:
          type: string
        auditable_type:
          type: string
        auditable_id:
          type:
            - integer
            - 'null'
        old_values:
          type:
            - array
            - 'null'
          items:
            type: string
        new_values:
          type:
            - array
            - 'null'
          items:
            type: string
        url:
          type:
            - string
            - 'null'
        ip_address:
          type:
            - string
            - 'null'
        user_agent:
          type:
            - string
            - 'null'
        profile_id:
          type:
            - string
            - 'null'
        location_id:
          type:
            - integer
            - 'null'
        staff_id:
          type:
            - string
            - 'null'
      title: UpdateAudit
    Audit:
      type: object
      properties:
        id:
          type: integer
        user_id:
          type:
            - integer
            - 'null'
        event:
          type: string
        auditable_type:
          type: string
        auditable_id:
          type:
            - integer
            - 'null'
        old_values:
          type:
            - array
            - 'null'
          items: {}
        new_values:
          type:
            - array
            - 'null'
          items: {}
        url:
          type:
            - string
            - 'null'
        ip_address:
          type:
            - string
            - 'null'
        profile_id:
          type:
            - string
            - 'null'
        location_id:
          type:
            - integer
            - 'null'
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
            external_id:
              type: string
          required:
            - id
            - name
            - handle
            - external_id
        staff_id:
          type:
            - string
            - 'null'
        staff:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
          required:
            - id
            - first_name
            - last_name
            - email
        token_name:
          type:
            - string
            - 'null'
        user_agent:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - user_id
        - event
        - auditable_type
        - auditable_id
        - old_values
        - new_values
        - url
        - ip_address
        - profile_id
        - location_id
        - location
        - staff_id
        - staff
        - token_name
        - user_agent
        - created_at
        - updated_at
      title: Audit
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````